#***************************************************************************
#                                  _   _ ____  _
#  Project                     ___| | | |  _ \| |
#                             / __| | | | |_) | |
#                            | (__| |_| |  _ <| |___
#                             \___|\___/|_| \_\_____|
#
# Copyright (C) Daniel Stenberg, <daniel@haxx.se>, et al.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution. The terms
# are also available at https://curl.se/docs/copyright.html.
#
# You may opt to use, copy, modify, merge, publish, distribute and/or sell
# copies of the Software, and permit persons to whom the Software is
# furnished to do so, under the terms of the COPYING file.
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
# KIND, either express or implied.
#
# SPDX-License-Identifier: curl
#
###########################################################################

prefix=/var/jenkins/workspace/Kokkos_nightly/spack/opt/spack/linux-zen2/curl-8.15.0-tlavozzyehjtdgtdj4yikhmunqxoly2d
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include
supported_protocols="DICT FILE FTP FTPS GOPHER GOPHERS HTTP HTTPS IMAP IMAPS IPFS IPNS MQTT POP3 POP3S RTSP SMB SMBS SMTP SMTPS TELNET TFTP WS WSS"
supported_features="alt-svc AsynchDNS HSTS HTTP2 HTTPS-proxy IPv6 Largefile libz NTLM SSL threadsafe TLS-SRP UnixSockets"

Name: libcurl
URL: https://curl.se/
Description: Library to transfer files with HTTP, FTP, etc.
Version: 8.15.0
Requires: 
Requires.private: zlib,openssl,libnghttp2
Libs: -L${libdir} -lcurl 
Libs.private: -L/var/jenkins/workspace/Kokkos_nightly/spack/opt/spack/linux-zen2/openssl-3.6.0-wkwqx3heg3mqaddym3opdknfwp6hhkm6/lib64 -L/var/jenkins/workspace/Kokkos_nightly/spack/opt/spack/linux-zen2/nghttp2-1.67.1-zjifkaogguwnsdnnj2vruerbah6mu3n6/lib -lnghttp2 -lssl -lcrypto -lssl -lcrypto -lz
Cflags: -I${includedir} 
Cflags.private: -DCURL_STATICLIB
